globalThis.chrome = globalThis.browser;

import { getCategoryKey, getCategoryBgColor } from '../../../utils/categories.js';
import { categories } from '../../../utils/labels.js';
import { html } from '../../../../../../hybrids/src/template/index.js';

/**
 * Ghostery Browser Extension
 * https://www.ghostery.com/
 *
 * Copyright 2017-present Ghostery GmbH. All rights reserved.
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0
 */


const __vite_glob_0_3 = {
  name: '',
  count: 0,
  actionable: false,
  render: ({ name, count }) => html`
    <template layout="row gap items:center">
      <div id="pill" layout="size:12px:6px"></div>
      <div id="label" layout="row gap items:center grow padding:0.5:0">
        <ui-text type="body-s" color="gray-600" layout="grow">
          ${categories[getCategoryKey(name)]}
        </ui-text>
        <ui-text type="label-s" id="count">${count}</ui-text>
      </div>
    </template>
  `.css`
    #pill {
      background: ${getCategoryBgColor(name)};
      border-radius: 3px;
    }

    #count {
      font-weight: 600;
    }

    #label {
      border-bottom: 1px solid var(--ui-color-gray-200);
    }

    :host(:last-child) #label {
      border-bottom: none;
      padding-bottom: 0;
    }

    @media (hover: hover) and (pointer: fine) {
      :host([actionable]) {
        cursor: pointer;
      }
    }
  `,
};

export { __vite_glob_0_3 as default };
