globalThis.chrome = globalThis.browser;

import '../../node_modules/@ghostery/ui/src/modules/settings/index.js';
import Options from '../../store/options.js';
import Settings from './settings.js';
import __vite_glob_0_0 from './components/custom-filters.js';
import __vite_glob_0_1 from './components/devtools.js';
import __vite_glob_0_2 from './views/account.js';
import __vite_glob_0_3 from './views/preview.js';
import __vite_glob_0_4 from './views/privacy.js';
import __vite_glob_0_5 from './views/websites.js';
import __vite_glob_0_6 from './views/whotracksme.js';
import store from '../../node_modules/hybrids/src/store.js';
import define from '../../node_modules/hybrids/src/define.js';
import mount from '../../node_modules/hybrids/src/mount.js';

/**
 * Ghostery Browser Extension
 * https://www.ghostery.com/
 *
 * Copyright 2017-present Ghostery GmbH. All rights reserved.
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0
 */


// As the user can access settings page from browser native UI
// we must redirect to onboarding if terms are not accepted
const { terms } = await store.resolve(Options);

if (terms) {
  define.from(
    /* #__PURE__ */ Object.assign({"./components/custom-filters.js": __vite_glob_0_0,"./components/devtools.js": __vite_glob_0_1,"./views/account.js": __vite_glob_0_2,"./views/preview.js": __vite_glob_0_3,"./views/privacy.js": __vite_glob_0_4,"./views/websites.js": __vite_glob_0_5,"./views/whotracksme.js": __vite_glob_0_6


}),
    {
      root: ['components', 'views'],
      prefix: 'gh-settings',
    },
  );

  mount(document.body, Settings);
} else {
  window.location.replace(
    chrome.runtime.getURL('/pages/onboarding/index.html'),
  );
}
